=== debian/changelog ===
ros-melodic-sr-hand-detector (0.0.2-1stretch) stretch; urgency=high

  * Fixing rosfarm build (#11 <https://github.com/shadow-robot/sr_hand_detector/issues/11>)
  * Update CMakeLists.txt (#10 <https://github.com/shadow-robot/sr_hand_detector/issues/10>)
  * Update package.xml (#9 <https://github.com/shadow-robot/sr_hand_detector/issues/9>)
  * fixing tests (#8 <https://github.com/shadow-robot/sr_hand_detector/issues/8>)
    fixing tests
  * fixing rosfarm build (#7 <https://github.com/shadow-robot/sr_hand_detector/issues/7>)
    * fixing rosfarm build
    * fixing doc
    * fixing build
  * F fixing autodetection (#5 <https://github.com/shadow-robot/sr_hand_detector/issues/5>)
    * fixing detection for one hand
    * adding debug code
    * fixing bug
    * removing debug code
    * fixing lint
    Co-authored-by: Your Name <mailto:you@example.com>
    Co-authored-by: ethanfowler <mailto:ethan@shadowrobot.com>
  * 0.0.1 (#6 <https://github.com/shadow-robot/sr_hand_detector/issues/6>)
    Co-authored-by: mikramarc <mailto:michal@shadowrobot.com>
  * adding changelog (#4 <https://github.com/shadow-robot/sr_hand_detector/issues/4>)
  * Set license to GNU v2 as is our standard (#3 <https://github.com/shadow-robot/sr_hand_detector/issues/3>)
    * Delete LICENSE
    * Create LICENSE
  * Rename aws.yaml to aws.yml
  * Adding code (#2 <https://github.com/shadow-robot/sr_hand_detector/issues/2>)
    * Adding code
    * adding postinst
    * adding aws file
  * Create LICENSE (#1 <https://github.com/shadow-robot/sr_hand_detector/issues/1>)
  * Initial commit
  * Contributors: ToivoS, giusebar, mikramarc

 -- Shadow Robot's Software Team <software@shadowrobot.com>  Thu, 01 Oct 2020 00:00:00 -0000
